# ../scripts/custom/gg_knife_bonus/gg_knife_bonus.py

# ==================================================
# IMPORTS
# ==================================================
# Python Imports


# Eventscripts Imports
import es

# GunGame Imports
from gungame51.core.players.shortcuts import Player
from gungame51.core.addons.shortcuts import AddonInfo

# ==================================================
# ADDON REGISTRATION/INFORMATION
# ==================================================
info = AddonInfo()
info.name = 'gg_knife_bonus'
info.title = 'GG Knife Bonus'
info.author = 'Neka'
info.version = '1.0'

# ==================================================
# GAME EVENTS
# ==================================================
def player_spawn(event_var):
    ggPlayer = Player(event_var['userid'])
    player_weapon = ggPlayer.weapon

    if player_weapon == "knife":
        ggPlayer.give('smokegrenade', True, False)

def gg_levelup(event_var):
    ggPlayer = Player(event_var['leveler'])
    player_weapon = ggPlayer.weapon

    if player_weapon == "knife":
        ggPlayer.give('smokegrenade', True, False)

